#ifndef moter_h__
#define moter_h__


#include "signal.h"
#include "bytearray.h"
#include "list.h"
#include "board.h"




signal moter_end_signal(void *m);

void moter_start_slot(void *t,int fre,int step_count);

void moter_start(int fre,int step_count);

void moter_down(void (*fun)(void *t),void *t);

void moter_up(void (*fun)(void *t),void *t);








#endif

